#!/usr/bin/env python3
# vim:fileencoding=utf-8
#
# Message author functionality.
#

import isds
import unittest

# Global message author.
ma = isds.isds_message_author()

class TestIsdsMessageAuthor(unittest.TestCase):

    def __init__(self, *args, **kwargs):
        super(TestIsdsMessageAuthor, self).__init__(*args, **kwargs) # Call the parrents __init__ method.
        #self.ma = isds.isds_message_author()
        self.ma = None

    def test_userType(self):
        self.ma = ma
        val = isds.SENDERTYPE_ADMINISTRATOR
        self.assertEqual(self.ma.userType, None, "Unexpected userType value.")
        self.ma.userType = val
        self.assertEqual(self.ma.userType, val, "Unexpected userType value.")
        self.ma.userType = None
        self.assertEqual(self.ma.userType, None, "Unexpected userType value.")
        self.ma.userType = val
        self.assertEqual(self.ma.userType, val, "Unexpected userType value.")

    def test_rawUserType(self):
        self.ma = ma
        val = "ADMINISTRATOR"
        self.assertEqual(self.ma.rawUserType, None, "Unexpected rawUserType value.")
        self.ma.rawUserType = val
        self.assertEqual(self.ma.rawUserType, val, "Unexpected rawUserType value.")
        self.ma.rawUserType = None
        self.assertEqual(self.ma.rawUserType, None, "Unexpected rawUserType value.")
        self.ma.rawUserType = val
        self.assertEqual(self.ma.rawUserType, val, "Unexpected rawUserType value.")

    def test_authorName(self):
        self.ma = ma
        val = "Uwe Filter"
        self.assertEqual(self.ma.authorName, None, "Unexpected authorName value.")
        self.ma.authorName = val
        self.assertEqual(self.ma.authorName, val, "Unexpected authorName value.")
        self.ma.authorName = None
        self.assertEqual(self.ma.authorName, None, "Unexpected authorName value.")
        self.ma.authorName = val
        self.assertEqual(self.ma.authorName, val, "Unexpected authorName value.")
