#!/usr/bin/env python3
# vim:fileencoding=utf-8
#
# Person name functionality.
#

import isds
import unittest

# Global person name.
pn = isds.isds_person_name()

class TestIsdsPersonName(unittest.TestCase):

    def __init__(self, *args, **kwargs):
        super(TestIsdsPersonName, self).__init__(*args, **kwargs) # Call the parrents __init__ method.
        #self.pn = isds.isds_person_name()
        self.pn = None

    def test_pnFirstName(self):
        self.pn = pn
        val = "First name"
        self.assertEqual(self.pn.pnFirstName, None, "Unexpected pnFirstName value.")
        self.pn.pnFirstName = val
        self.assertEqual(self.pn.pnFirstName, val, "Unexpected pnFirstName value.")
        self.pn.pnFirstName = None
        self.assertEqual(self.pn.pnFirstName, None, "Unexpected pnFirstName value.")
        self.pn.pnFirstName = val
        self.assertEqual(self.pn.pnFirstName, val, "Unexpected pnFirstName value.")

    def test_pnMiddleName(self):
        self.pn = pn
        val = "Middle name"
        self.assertEqual(self.pn.pnMiddleName, None, "Unexpected pnMiddleName value.")
        self.pn.pnMiddleName = val
        self.assertEqual(self.pn.pnMiddleName, val, "Unexpected pnMiddleName value.")
        self.pn.pnMiddleName = None
        self.assertEqual(self.pn.pnMiddleName, None, "Unexpected pnMiddleName value.")
        self.pn.pnMiddleName = val
        self.assertEqual(self.pn.pnMiddleName, val, "Unexpected pnMiddleName value.")

    def test_pnLastName(self):
        self.pn = pn
        val = "Last name"
        self.assertEqual(self.pn.pnLastName, None, "Unexpected pnLastName value.")
        self.pn.pnLastName = val
        self.assertEqual(self.pn.pnLastName, val, "Unexpected pnLastName value.")
        self.pn.pnLastName = None
        self.assertEqual(self.pn.pnLastName, None, "Unexpected pnLastName value.")
        self.pn.pnLastName = val
        self.assertEqual(self.pn.pnLastName, val, "Unexpected pnLastName value.")

    def test_pnLastNameAtBirth(self):
        self.pn = pn
        val = "Last name at birth"
        self.assertEqual(self.pn.pnLastNameAtBirth, None, "Unexpected pnLastNameAtBirth value.")
        self.pn.pnLastNameAtBirth = val
        self.assertEqual(self.pn.pnLastNameAtBirth, val, "Unexpected pnLastNameAtBirth value.")
        self.pn.pnLastNameAtBirth = None
        self.assertEqual(self.pn.pnLastNameAtBirth, None, "Unexpected pnLastNameAtBirth value.")
        self.pn.pnLastNameAtBirth = val
        self.assertEqual(self.pn.pnLastNameAtBirth, val, "Unexpected pnLastNameAtBirth value.")
